import { GET, PUT  } from "./http";
import type { UpdateConfigBaseReq, VqdConfigBaseDetailRes, VqdConfigDefaultDetailRes } from "../types/config";

/**
 * 获取详情
 */
export async function GetVqdConfigBase() {
  return await GET<VqdConfigBaseDetailRes>(`/configs/base`);
}
/**
 * 获取默认详情
 */
export async function GetVqdConfigDefault() {
  return await GET<VqdConfigDefaultDetailRes>(`/configs/default`);
}

/**
 * 更新
 * @param data 更新参数
 */
export async function UpdateConfigBase(data: UpdateConfigBaseReq) {
  return await PUT<VqdConfigBaseDetailRes>(`/configs/base`, data);
}
